GWT 2.7.0

## com.google.gwt.xhr.client
Interface ReadyStateChangeHandler

    public interface ReadyStateChangeHandler

A ready-state callback for an `XMLHttpRequest` object.

Method Summary
`void` | `onReadyStateChange(XMLHttpRequest xhr)` This is called whenever the state of the XMLHttpRequest changes.

Method Detail

### onReadyStateChange

    void onReadyStateChange(XMLHttpRequest xhr)

  This is called whenever the state of the XMLHttpRequest changes. See `XMLHttpRequest.setOnReadyStateChange(com.google.gwt.xhr.client.ReadyStateChangeHandler)`.

  Parameters:
    `xhr` - the object whose state has changed.

GWT 2.7.0